Package ch.qos.logback.core.net.ssl

# Class ConfigurableSSLServerSocketFactory

java.lang.Object
javax.net.ServerSocketFactory
ch.qos.logback.core.net.ssl.ConfigurableSSLServerSocketFactory

public class ConfigurableSSLServerSocketFactory extends ServerSocketFactory
An `SSLServerSocketFactory` that configures SSL parameters (those specified in {@link SSLParametersConfiguration) on each newly created socket. <p> When any of this factory's {@code createServerSocket} methods are invoked, it calls on a delegate `SSLServerSocketFactory` to create the socket, and then sets the SSL parameters of the socket (using the provided configuration) before returning the socket to the caller.

Author:
  Carl Harris

## Constructor Summary

Constructors
Constructor
Description
`ConfigurableSSLServerSocketFactory(SSLParametersConfiguration parameters, SSLServerSocketFactory delegate)`
Creates a new factory.

## Method Summary

Modifier and Type
Method
Description
`ServerSocket`
`createServerSocket(int port)`
`ServerSocket`
`createServerSocket(int port, int backlog)`
`ServerSocket`
`createServerSocket(int port, int backlog, InetAddress ifAddress)`

### Methods inherited from class javax.net.ServerSocketFactory

`createServerSocket, getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurableSSLServerSocketFactory

public ConfigurableSSLServerSocketFactory(SSLParametersConfiguration parameters, SSLServerSocketFactory delegate)
Creates a new factory.

Parameters:
  `parameters` - parameters that will be configured on each socket created by the factory
  `delegate` - socket factory that will be called upon to create server sockets before configuration

## Method Details

### createServerSocket

public ServerSocket createServerSocket(int port, int backlog, InetAddress ifAddress) throws IOException

Specified by:
  `createServerSocket` in class `ServerSocketFactory`
Throws:
  `IOException`

### createServerSocket

public ServerSocket createServerSocket(int port, int backlog) throws IOException

Specified by:
  `createServerSocket` in class `ServerSocketFactory`
Throws:
  `IOException`

### createServerSocket

public ServerSocket createServerSocket(int port) throws IOException

Specified by:
  `createServerSocket` in class `ServerSocketFactory`
Throws:
  `IOException`